[new-upstream] Firefox 3.0 RC1 is available

Bug #233922 reported by Alexander Sack on 2008-05-22
60
Affects Status Importance Assigned to Milestone
devhelp (Ubuntu)
High
Unassigned
Hardy
High
Unassigned
Intrepid
High
Unassigned
epiphany-browser (Ubuntu)
High
Unassigned
Hardy
High
Unassigned
Intrepid
High
Unassigned
firefox-3.0 (Ubuntu)
High
Unassigned
Hardy
High
Unassigned
Intrepid
High
Unassigned
language-pack-de (Ubuntu)
High
Unassigned
Hardy
High
Unassigned
Intrepid
High
Unassigned
language-pack-gnome-de (Ubuntu)
High
Unassigned
Hardy
High
Unassigned
Intrepid
High
Unassigned
midbrowser (Ubuntu)
High
Unassigned
Hardy
High
Unassigned
Intrepid
High
Unassigned
nspr (Ubuntu)
High
Unassigned
Hardy
High
Unassigned
Intrepid
High
Unassigned
nss (Ubuntu)
High
Unassigned
Hardy
High
Unassigned
Intrepid
High
Unassigned
xulrunner-1.9 (Ubuntu)
High
Unassigned
Hardy
High
Unassigned
Intrepid
High
Unassigned
yelp (Ubuntu)
High
Unassigned
Hardy
High
Unassigned
Intrepid
High
Unassigned

Bug Description

Binary package hint: firefox-3.0

Firefox 3.0 RC1 is available upstream. Ubuntu Intrepid and Hardy need to be updated.

This update involves several upstream version updates:
 + firefox-3.0 (essential)
 + xulrunner-1.9 (essential)
 + midbrowser (essential)
 + nspr (important)
 + nss (important)

Translations need to be updated. As agreed at UDS the translations should be moved to from language-pack-gnome*-XX to language-support*-XX packages.
 + language-support*-XX (essential)

Embedders known to require a respin:
 + epiphany-browser

Extensions that ned to be updated:
 + (needs testing)

Alexander Sack (asac) on 2008-05-22
Changed in firefox-3.0:
importance: Undecided → High
status: New → Triaged
importance: Undecided → High
status: New → Triaged
Alexander Sack (asac) wrote :

even though the translations could technically just be added to the language-support*-XX packages, we should consider to remove them from the gnome langpacks in order to not add additional data to CDs.

description: updated
Changed in epiphany-browser:
importance: Undecided → High
status: New → Triaged
importance: Undecided → High
status: New → Triaged
Changed in language-pack-gnome-de:
importance: Undecided → High
status: New → Triaged
Alexander Sack (asac) wrote :

further, midbrowser translations should be added to language-pack-gnome*-XX packages.

Changed in language-pack-gnome-de:
importance: Undecided → High
status: New → Triaged
Changed in language-support-de:
importance: Undecided → High
status: New → Triaged
importance: Undecided → High
status: New → Triaged
Changed in midbrowser:
importance: Undecided → High
status: New → Triaged
importance: Undecided → High
status: New → Triaged
Changed in nspr:
importance: Undecided → High
status: New → Triaged
importance: Undecided → High
status: New → Triaged
Changed in nss:
importance: Undecided → High
status: New → Triaged
importance: Undecided → High
status: New → Triaged
Alexander Sack (asac) wrote :

uploaded nspr_4.7.1+1.9-0ubuntu1 to ubuntu/intrepid

Changed in xulrunner-1.9:
importance: Undecided → High
status: New → Triaged
importance: Undecided → High
status: New → Triaged
Changed in nspr:
status: Triaged → Fix Committed
Alexander Sack (asac) wrote :

uploaded nss_3.12.0.2+1.9-0ubuntu1 to ubuntu/intrepid

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nspr - 4.7.1+1.9-0ubuntu1

---------------
nspr (4.7.1+1.9-0ubuntu1) intrepid; urgency=low

  * New upstream release, picked from FIREFOX_3_0rc1_RELEASE cvs tag
    (LP: #233922)
  * update diverged patches
    - update debian/patches/30_pkgconfig.patch
    - update debian/patches/81_sonames.patch
    - update debian/patches/99_configure.patch

 -- Fabien Tassin <email address hidden> Wed, 21 May 2008 14:50:02 +0200

Changed in nspr:
status: Fix Committed → Fix Released
Alexander Sack (asac) wrote :

uploaded nss_3.12.0.2+1.9-0ubuntu1 to ubuntu/intrepid

Changed in nss:
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nss - 3.12.0.2+1.9-0ubuntu1

---------------
nss (3.12.0.2+1.9-0ubuntu1) intrepid; urgency=low

  * new upstream version, picked from FIREFOX_3_0rc1_RELEASE cvs tag
    (LP: #233922)

 -- Fabien Tassin <email address hidden> Wed, 21 May 2008 14:50:00 +0200

Changed in nss:
status: Fix Committed → Fix Released
Alexander Sack (asac) wrote :

epiphany-browser_2.22.1.1-0ubuntu2_source.changes uploaded to ubuntu/intrepid

Changed in epiphany-browser:
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package epiphany-browser - 2.22.1.1-0ubuntu2

---------------
epiphany-browser (2.22.1.1-0ubuntu2) intrepid; urgency=low

  * package transition for xulrunner-1.9 RC1 -> raise depends and build-depends
    bar because of ABI breakage introduced by xulrunner b5 to rc1 transition
    (LP: #233922)
    - update debian/control
  * API transition for xulrunner-1.9 - implement new signature for
    nsIHelperAppLauncherDialog::PromptForSaveToFile
    - add debian/patches/98a_xul_b5_rc1_api_transition.patch
    - update debian/patches/series

 -- Alexander Sack <email address hidden> Thu, 22 May 2008 09:37:16 +0200

Changed in epiphany-browser:
status: Fix Committed → Fix Released
Alexander Sack (asac) wrote :

xulrunner-1.9_1.9~rc1+nobinonly-0ubuntu1 uploaded to ubuntu/intrepid

Changed in xulrunner-1.9:
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xulrunner-1.9 - 1.9~rc1+nobinonly-0ubuntu1

---------------
xulrunner-1.9 (1.9~rc1+nobinonly-0ubuntu1) intrepid; urgency=low

  * new upstream release: xulrunner-1.9 RC1 (LP: #233922)

  [ Fabien Tassin <email address hidden> ]
  * Bump EM_TRANSLATION_VERSION and EM_TRANSLATION_{MIN,MAX}_VERSION to 1.9
    and clean-up the code to avoid unnecessary complexity
    - update debian/rules
  * Drop patch applied upstream
    - drop debian/patches/bz423060_att312807_fix_rss_subscription.patch
    - drop debian/patches/bz425814_att315081.patch
    - drop debian/patches/inspector_maxversion_bump.patch
    - update debian/patches/series
  * Update diverges patches
    - update debian/patches/bz394103_dont_scale_images.patch
    - update debian/patches/bzXXX_gre_extension_plugin_support.patch
    - update debian/patches/dom_inspector_support_for_prism.patch
  * Build with system bzip2
    - update debian/rules
  * Workaround multiple crashes in Intrepid (at least 3 in realpath()) caused
    by Intrepid shipping gcc 4.3 with -D_FORTIFY_SOURCE=2 by default.
    Set CPPFLAGS to -U_FORTIFY_SOURCE
    - update debian/rules
  * Drop LDFLAGS workaround now that jemalloc is no longer a static lib.
    We still ship jemalloc as a shared lib
    - udate debian/rules
  * Set synchronous = NORMAL by default for storage to avoid excessive fsync.
    It could be changed using the toolkit.storage.synchronous preference using
    values of 0 (OFF), 1 (NORMAL), and 2 (FULL)
    - add debian/patches/bz421482_att320806_synchronous_NORMAL_for_storage_connections.patch
    - update debian/patches/series

  [ Alexander Sack <email address hidden> ]
  * remove cherry-pick for LP: #215728 - "excess disk IO when updating the
    url-classifier" - applied upstream
    - drop debian/patches/bz430530_attachment_318939.patch
    - update debian/patches/series
  * and cut out the "ship urlclassifier. settings in toolkit" part of the
    patch to a separate one, targetted for upstream
    - add debian/patches/bzXXX_urlclassifier_prefs_in_toolkit.patch
    - update debian/patches/series
  * prepatch from bugzilla fix for "Bug 368428 – XUL FastLoad cache corruption
    when application running while upgrading"
    - add debian/patches/bz368428_attachment_308130.patch
    - update debian/patches/series
  * 1.9b5 to 1.9rc1 upgrade Breaks: epiphany-gecko (<< 2.22.1.1-0ubuntu1.8.04.1)
    - update debian/control

 -- Fabien Tassin <email address hidden> Wed, 21 May 2008 14:38:00 +0200

Changed in xulrunner-1.9:
status: Fix Committed → Fix Released
Alexander Sack (asac) wrote :

firefox-3.0_3.0~rc1+nobinonly-0ubuntu1 uploaded to ubuntu/intrepid

Changed in firefox-3.0:
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox-3.0 - 3.0~rc1+nobinonly-0ubuntu1

---------------
firefox-3.0 (3.0~rc1+nobinonly-0ubuntu1) intrepid; urgency=low

  * new upstream release 3.0 RC1 (LP: #233922)

  [ Fabien Tassin <email address hidden> ]
  * Bump xulrunner-1.9 dependencies to ~rc
    - update debian/control
  * Bump EM_TRANSLATION_VERSION and EM_TRANSLATION_{MIN,MAX}_VERSION to 3.0
    and clean-up the code to avoid unnecessary complexity
    - update debian/rules
  * Refresh diverged patches
    - update debian/patches/bzXXX_reload_new_plugins.patch
  * Fix 'Categories' field in desktop file by changing GTK into Application
    to make KDE happy (LP: #220325)
    - update debian/firefox-3.0-final.desktop
  * Build with default gcc (hardy: 4.2, intrepid: 4.3)
    - update debian/rules
    - update debian/control
  * Prevent EULA dialog to popup on first run by setting the browser.EULA.override
    key to true
    - update debian/firefox.js
  * Drop LDFLAGS workaround now that jemalloc is no longer a static lib
    - udate debian/rules
  * Workaround multiple crashes in Intrepid caused by Intrepid shipping gcc 4.3
    with -D_FORTIFY_SOURCE=2 by default
    - udate debian/rules

  [ Alexander Sack <email address hidden> ]
  * Fix LP: #218865 - "ubufox is not suggested or recommended by firefox-3.0";
    we add ubufox to recommends of firefox-3.0 package.
    - update debian/control
  * Fix apport hook to properly detect global gre extensions
    - update debian/apport/firefox-3.0.py
  * disable app.update feature in code so the auto app update feature will
    never be enabled (independent from the pref setting)
    - add debian/patches/ubuntu_no_app_updates.patch
    - update debian/patches/series
  * install firefox.cfg as an example using dh_installdocs rather than
    dh_install as it wasn't used at all
    - update debian/rules

 -- Fabien Tassin <email address hidden> Wed, 21 May 2008 16:25:00 +0200

Changed in firefox-3.0:
status: Fix Committed → Fix Released
Alexander Sack (asac) wrote :

xulrunner 1.9 FTBFS in intrepid because of new hunspell upstream version.

The upstream bug for hunspell 1.2 support is http://bugzilla.mozilla.org/show_bug.cgi?id=429747

the patch is overkill for us as its for in-source hunspell support. most likely we only need the spellcheck/src/Makefile.in part of the patch in https://bugzilla.mozilla.org/attachment.cgi?id=317495

Changed in xulrunner-1.9:
status: Fix Released → In Progress
Alexander Sack (asac) wrote :

firefox-3.0 - commited to mozillateam/firefox/firefox-3.0.hardy branch

Changed in firefox-3.0:
status: Triaged → Fix Committed
Alexander Sack (asac) wrote :

firefox-3.0_3.0~rc1+nobinonly-0ubuntu0.8.04.0mt1 uploaded to PPA: https://edge.launchpad.net/~mozillateam/+archive

Alexander Sack (asac) wrote :

xulrunner-1.9_1.9~rc1+nobinonly-0ubuntu1~8.04.0mt1 uploaded to ubuntu/ppa/mozillateam

Changed in xulrunner-1.9:
status: Triaged → Fix Committed
Fabien Tassin (fta) wrote :

The build system makes it difficult to fix. Separating the XPCOM glue from hunspell is the easiest way, despite the size of the patch.
Fixed in https://code.launchpad.net/~mozillateam/xulrunner/xulrunner-1.9.head #265 (tested on both hardy and intrepid)

Changed in xulrunner-1.9:
status: In Progress → Fix Committed
Alexander Sack (asac) wrote :

devhelp needs to be rebuild

Changed in devhelp:
importance: Undecided → High
status: New → Triaged
importance: Undecided → High
status: New → Triaged
Alexander Sack (asac) wrote :

yelp needs a respin as well.

Changed in yelp:
importance: Undecided → High
status: New → Triaged
importance: Undecided → High
status: New → Triaged
Alexander Sack (asac) wrote :

nspr_4.7.1+1.9-0ubuntu0.8.04.1_source.changes uploaded to ubuntu/hardy-proposed

Changed in nspr:
status: Triaged → Fix Committed
Alexander Sack (asac) wrote :

nss_3.12.0.2+1.9-0ubuntu0.8.04.1_source.changes uploaded to ubuntu/hardy-proposed

Changed in nss:
status: Triaged → Fix Committed
Alexander Sack (asac) wrote :

xulrunner-1.9_1.9~rc1+nobinonly-0ubuntu1~8.04.1_source.changes uploaded to ubuntu/hardy-proposed

Alexander Sack (asac) wrote :

 firefox-3.0_3.0~rc1+nobinonly-0ubuntu0.8.04.1_source.changes uploaded to ubuntu/hardy-proposed

Alexander Sack (asac) wrote :

epiphany-browser_2.22.1.1-0ubuntu2~8.04.1_source.changes uploaded to ubuntu/hardy-proposed

Changed in epiphany-browser:
status: Triaged → Fix Committed
Alexander Sack (asac) wrote :

devhelp_0.19-1ubuntu1.8.04.1 uploaded to ubuntu/hardy-proposed

Changed in devhelp:
status: Triaged → Fix Committed
Alexander Sack (asac) wrote :

devhelp_0.19-1ubuntu2 uploaded to ubuntu/intrepid

Changed in devhelp:
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package devhelp - 0.19-1ubuntu2

---------------
devhelp (0.19-1ubuntu2) intrepid; urgency=low

  * respin and bump (build-)depends to fix breakage due to xulrunner 1.9 RC1
    API/ABI changes (LP: #233922)
    - update debian/control
    - update debian/control.in

 -- Alexander Sack <email address hidden> Mon, 26 May 2008 10:08:17 +0200

Changed in devhelp:
status: Fix Committed → Fix Released
Alexander Sack (asac) wrote :

devhelp_0.19-1ubuntu1.8.04.2_source.changes uploaded ubuntu/hardy-proposed (fixing glue regression)

Alexander Sack (asac) wrote :

devhelp_0.19-1ubuntu3_source.changes uploaded to ubuntu/intrepid (fixing glue regresison)

Changed in devhelp:
status: Fix Released → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package devhelp - 0.19-1ubuntu3

---------------
devhelp (0.19-1ubuntu3) intrepid; urgency=low

  * respin and bump (build-)depends to fix breakage due to xulrunner 1.9 RC1
    API/ABI changes (LP: #233922)
    - update debian/control
    - update debian/control.in
  * fix glue code to startup internal mozembed glue properly
    - update debian/patches/04_devhelp-xul-1.9.patch

 -- Alexander Sack <email address hidden> Mon, 26 May 2008 10:08:17 +0200

Changed in devhelp:
status: Fix Committed → Fix Released
Alexander Sack (asac) wrote :

yelp_2.22.1-0ubuntu2.8.04.1_source.changes uploaded to ubuntu/hardy-proposed

Changed in yelp:
status: Triaged → Fix Committed
Alexander Sack (asac) wrote :

yelp_2.22.1-0ubuntu3_source.changes uploaded to ubuntu/intrepid

Changed in yelp:
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package yelp - 2.22.1-0ubuntu3

---------------
yelp (2.22.1-0ubuntu3) intrepid; urgency=low

  * xulrunner 1.9 b5 to RC1 transition (LP: #233922)
  * bump {Build-}depends and depends to xulrunner-1.9{-dev} (>= 1.9~rc1)
    - update debian/control
    - update debian/control.in

 -- Alexander Sack <email address hidden> Mon, 26 May 2008 10:41:49 +0200

Changed in yelp:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (3.1 KiB)

This bug was fixed in the package xulrunner-1.9 - 1.9~rc1+nobinonly-0ubuntu2

---------------
xulrunner-1.9 (1.9~rc1+nobinonly-0ubuntu2) intrepid; urgency=low

  * Fix FTBFS with hunspell 1.2 by splitting extensions/spellcheck/hunspell/src
    to separate the hunspell library from the XPCOM glue (LP: #233922)
    - add debian/patches/bz429747_att317495+move_hunspell_1.2.patch
    - update debian/patches/series
  * Drop irc (chatzilla) from DEB_MOZ_EXTENSIONS, we never packaged it
    from there anyway
    - update debian/rules
  * cherry-pick 1.9b5 to 1.9rc1 upgrade Breaks: yelp (<< 2.22.1-0ubuntu2.8.04.1),
    midbrowser (<< 0.3.0rc1), devhelp (<< 0.19-1ubuntu1.8.04.1)
    - update debian/control

xulrunner-1.9 (1.9~rc1+nobinonly-0ubuntu1) intrepid; urgency=low

  * new upstream release: xulrunner-1.9 RC1 (LP: #233922)

  [ Fabien Tassin <email address hidden> ]
  * Bump EM_TRANSLATION_VERSION and EM_TRANSLATION_{MIN,MAX}_VERSION to 1.9
    and clean-up the code to avoid unnecessary complexity
    - update debian/rules
  * Drop patch applied upstream
    - drop debian/patches/bz423060_att312807_fix_rss_subscription.patch
    - drop debian/patches/bz425814_att315081.patch
    - drop debian/patches/inspector_maxversion_bump.patch
    - update debian/patches/series
  * Update diverges patches
    - update debian/patches/bz394103_dont_scale_images.patch
    - update debian/patches/bzXXX_gre_extension_plugin_support.patch
    - update debian/patches/dom_inspector_support_for_prism.patch
  * Build with system bzip2
    - update debian/rules
  * Workaround multiple crashes in Intrepid (at least 3 in realpath()) caused
    by Intrepid shipping gcc 4.3 with -D_FORTIFY_SOURCE=2 by default.
    Set CPPFLAGS to -U_FORTIFY_SOURCE
    - update debian/rules
  * Drop LDFLAGS workaround now that jemalloc is no longer a static lib.
    We still ship jemalloc as a shared lib
    - udate debian/rules
  * Set synchronous = NORMAL by default for storage to avoid excessive fsync.
    It could be changed using the toolkit.storage.synchronous preference using
    values of 0 (OFF), 1 (NORMAL), and 2 (FULL)
    - add debian/patches/bz421482_att320806_synchronous_NORMAL_for_storage_connections.patch
    - update debian/patches/series

  [ Alexander Sack <email address hidden> ]
  * remove cherry-pick for LP: #215728 - "excess disk IO when updating the
    url-classifier" - applied upstream
    - drop debian/patches/bz430530_attachment_318939.patch
    - update debian/patches/series
  * and cut out the "ship urlclassifier. settings in toolkit" part of the
    patch to a separate one, targetted for upstream
    - add debian/patches/bzXXX_urlclassifier_prefs_in_toolkit.patch
    - update debian/patches/series
  * prepatch from bugzilla fix for "Bug 368428 – XUL FastLoad cache corruption
    when application running while upgrading"
    - add debian/patches/bz368428_attachment_308130.patch
    - update debian/patches/series
  * 1.9b5 to 1.9rc1 upgrade Breaks: epiphany-gecko (<<
    2.22.1.1-0ubuntu1.8.04.1), yelp (<< 2.22.1-0ubuntu2.8.04.1), midbrowser
    (<< 0.3.0rc1), devhelp (<< 0.19-1ubuntu1.8.04.1)
    - update debian/control

 -- Fabien Tassin <email address hidden> Mon, 26...

Read more...

Changed in xulrunner-1.9:
status: Fix Committed → Fix Released
Matteo Settenvini (tchernobog) wrote :

devhelp_0.19-1ubuntu3 fails to build.

Martin Pitt (pitti) wrote :

I accepted the lot to hardy-proposed. It will take a while until everything is built and published.

Please test and give plenty of feedback here. Thanks!

Martin Pitt (pitti) wrote :

New language packs uploaded which should work with the new Firefox.

Changed in language-pack-de:
status: Triaged → Fix Committed
Changed in language-pack-gnome-de:
status: Triaged → Fix Committed
Miklos Juhasz (mjuhasz) wrote :

The update is working fine for me. Language pack came along with Firefox so it remained translated. Plugins (flash, adobe pdf, vlc, Sun java) are working. YouTube videos detto. It works as it should, no crash, no freeze, no slowdown.
[Kubuntu 8.04, KDE 3.5.9]

Martin Pitt (pitti) wrote :

I have used the new packages for half a day, and most things work fine so far (including translations). However, flash stopped working for me, it eternally tries to load the movie without ever starting it. Does this happen to other people as well? (I'm using the proprietary plugin)

Gert Kulyk (gkulyk) wrote :

For me everything is working fine, including flash. RC 1 seems to be a bit faster than the beta, some sites that caused a crash (e.g. rys.wwf.pl) are working fine now.

Sebastien Bacher (seb128) wrote :

the update and the flash player work correctly for me on i386 using epiphany-browser

Pedro Villavicencio (pedro) wrote :

I'm also using epiphany-browser with a greasemonkey extension and the update work fine with an i386 system, flash works fine also in both firefox and epiphany.

Martin Pitt (pitti) wrote :

Right, it seems that just that particular youtube video link I tried was broken. Other videos on youtube, and other flash stuff works here.

On Fri, May 30, 2008 at 03:11:34PM -0000, Martin Pitt wrote:
> Right, it seems that just that particular youtube video link I tried was
> broken. Other videos on youtube, and other flash stuff works here.
>

OK, verifying a bunch of other (direct or indirect) rdepends. I hope I
catched all important ones.

standalone rdepends:
 yelp - works
 devhelp - works
 epiphany-browser - works
 liferea - works (i am just a basic user)
 prism - works (prism-google-mail tested)

python (standalone or mixed glue) binding:
 - miro - works

mono binding:
 - monodoc - works (basic reading use cases tested)

verified important libnss rdepends:
 - thunderbird (basic SSL/TLS use cases work)
 - pidgin-encryption (basic testing)
 - evolution (SSL/TLS testing)
 - sunbird
 - some libxul0d rdepends
   - kazehakase (SSL/TLS)
   - galeon (SSL/TLS)
   - eclipse (works, but not sure how to trigger libnss code path -
                 if possible at all)

Notes:
 + midbrowser merge pending (mostly untested, but QA is done by
 moblin)
 + mobile-basic-flash - called for testing in #ubuntu-mobile, but no
 feedback so far

 - Alexander

Alexander Sack (asac) wrote :

xulrunner-1.9 *not* verified.

Looks like the " safer JAR Cache" patch can lead to deadlocks. Stay tuned!

Changed in xulrunner-1.9:
status: Fix Committed → Triaged
Alexander Sack (asac) wrote :

bug 236984 tracks the regression and its fix.

Martin Pitt (pitti) wrote :

Updated xulrunner-1.9 accepted.

Changed in xulrunner-1.9:
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package midbrowser - 0.3.0rc1a-1

---------------
midbrowser (0.3.0rc1a-1) intrepid; urgency=low

  * merge 3.0 RC1 release to hardy branch (LP: #233922)
  * make Build-Depends: more diff-friendly by unfolding the list
    - update debian/control
  * add translation template export support using mozilla-devscripts:
    + add mozilla-devscripts to Build-Depends
      - update debian/control
    + setup variables for /usr/share/mozilla-devscripts/lp-locale-export.mk
      helper and hook in the export build target into binary: rules target
      - update debian/rules
    + fix clean: target to be clean::
    + add MidBrowser install.rdf template to source tree
      - add debian/translation-support/install.rdf.in
  * tighten xulrunner-1.9(-dev) build and runtime requirements to (>= 1.9~rc1)
    - update debian/control
  * prevent Mozilla/FFox EULA from popping up on first run by setting
    pref("browser.EULA.override", true);
    - update debian/midbrowser.js
  * setup defaults/syspref link that points to /etc/midbrowser/pref
    - update debian/midbrowser.links

 -- Alexander Sack <email address hidden> Wed, 04 Jun 2008 17:19:01 +0200

Changed in midbrowser:
status: Triaged → Fix Released
Martin Pitt (pitti) wrote :

Accepted into hardy-proposed.

Changed in midbrowser:
status: Triaged → Fix Committed
Craig Ringer (ringerc) wrote :

Tested OK on an LTSP server with Via and Intel thin clients.

Martin Pitt (pitti) wrote :

For the record, I got about 7 replies to my "call for testing langpacks", and all were positive. Translations continue to work, in particular, the Finnish ones work perfectly with Firefox now, too.

Alexander Sack (asac) wrote :

verification-done. We haven't received received any regression reports on these packages after the xulrunner-1.9 regression in bug 236984 was fixed.

We asked various bug reporters to test the RC1 packages during firefox-3.0 bug triage over the last week and have received no indication of regressions from them either.

Martin Pitt (pitti) wrote :

All packages copied to hardy-updates.

Changed in devhelp:
status: Fix Committed → Fix Released
Changed in epiphany-browser:
status: Fix Committed → Fix Released
Changed in firefox-3.0:
status: Fix Committed → Fix Released
Changed in language-pack-de:
status: Fix Committed → Fix Released
Changed in language-pack-gnome-de:
status: Fix Committed → Fix Released
Changed in midbrowser:
status: Fix Committed → Fix Released
Changed in nspr:
status: Fix Committed → Fix Released
Changed in nss:
status: Fix Committed → Fix Released
Changed in yelp:
status: Fix Committed → Fix Released
Changed in xulrunner-1.9:
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

I copied the hardy-updates langpacks to intrepid.

Changed in language-pack-de:
status: Triaged → Fix Released
Changed in language-pack-gnome-de:
status: Triaged → Fix Released
jbgee1 (jbgriffin2007) wrote :

  Im not to firmilure with the Linux/Ubuntu Program i have,so im learning!
Thank You!
JB

Changed in yelp:
assignee: nobody → asac
jbgee1 (jbgriffin2007) wrote :

 Ive got alot of problems!

Changed in firefox-3.0 (Ubuntu):
assignee: nobody → Alexander Sack (asac)

I dont know why I got all this or what good is it so could you please EXPLAIN it to me and what to do

Changed in yelp (Ubuntu):
assignee: nobody → Alexander Sack (asac)

what do i do

Changed in firefox-3.0 (Ubuntu Hardy):
assignee: nobody → Alexander Sack (asac)
Steve Langasek (vorlon) on 2009-08-12
Changed in firefox-3.0 (Ubuntu Hardy):
assignee: Alexander Sack (asac) → nobody
Changed in firefox-3.0 (Ubuntu):
assignee: Alexander Sack (asac) → nobody
Steve Langasek (vorlon) on 2009-08-12
Changed in yelp (Ubuntu):
assignee: Alexander Sack (asac) → nobody
Alexander Sack (asac) on 2009-08-13
Changed in yelp (Ubuntu Hardy):
assignee: Alexander Sack (asac) → nobody
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.